Name:           welle-io

Version:        2.2
Release:        4%{?dist}
Summary:        Receiver for DAB and DAB+ broadcast radio

Group:          Audio
License:        GPLv2+
URL:            https://www.welle.io/
Source0:        https://github.com/AlbrechtL/welle.io/archive/v%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  qt5-qtcharts-devel
BuildRequires:  qt5-qtmultimedia-devel
BuildRequires:  fftw-devel
BuildRequires:  faad2-devel
BuildRequires:  SoapySDR-devel
BuildRequires:  xdg-utils
BuildRequires:  rtl-sdr-devel
BuildRequires:  lame-devel
BuildRequires:  mpg123-devel
BuildRequires:  qt5-qtquickcontrols2-devel

%description
Receive digital audio broadcasts with your computer: welle.io is an open source
DAB and DAB+ software defined radio (SDR) with direct support for RTL-SDR and
other SDR hardware through SoapySDR. It supports high DPI and touch displays and
it runs even on cheap computers.


%prep
%setup -q -n welle.io-%{version}

%build
%cmake -DSOAPYSDR=1 -DRTLSDR=1
%cmake_build

%check
%ctest

%install
%cmake_install

%files
%license COPYING
/usr/bin/welle-io
/usr/bin/welle-cli
/usr/share/applications/welle-io.desktop
/usr/share/icons/hicolor/*/apps/welle-io.png
/usr/share/welle-io/html/index.*

%doc README.md AUTHORS THANKS

%changelog
* Sat Feb 27 2021 Marcus Müller <marcus@hostalia.de> - v2.2-4
- add qt5-qtmultimedia as build dependency

* Sat Feb 27 2021 Marcus Müller <marcus@hostalia.de> - v2.2-3
- add qt5-qtquickcontrol2 as build dependency

* Sat Feb 27 2021 Marcus Müller <marcus@hostalia.de> - v2.2-2
- Remove qt5-devel BuildRequire, as it upsets koji, and should be in qt5-qtcharts-devel

* Sat Feb 27 2021 Marcus Müller <marcus@hostalia.de> - v2.2-1
- Use current upstream version
- Use cmake-specific macros
- correct usage of setup
- license, license macro
- linted description, summmary, changelog

* Tue Dec 25 2018 Dick Marinus <dick@mrns.nl> - v2.0_beta1-3
- Dutch translations

* Tue Dec 25 2018 Dick Marinus <dick@mrns.nl> - v2.0_beta1-2
- Dutch translations

* Fri Dec 21 2018 Dick Marinus <dick@mrns.nl> - v2.0_beta1-1
- Update to v2.0_beta1

* Sat Dec 15 2018 Dick Marinus <dick@mrns.nl> - v2.0_beta1_4_ga90b66a-1
- Update to v2.0_beta1_4_ga90b66a

* Fri Nov 9 2018 Dick Marinus <dick@mrns.nl> - V1.0_566_ga771bec-1
- Update to V1.0_566_ga771bec

* Sat Oct 20 2018 Dick Marinus <dick@mrns.nl> - V1.0_548_gc31208d-1
- Update to V1.0_548_gc31208d

* Sat Aug 25 2018 Dick Marinus <dick@mrns.nl> - V1.0_426_g9c543d4-1
- Update to V1.0_426_g9c543d4

* Sat Jul 21 2018 Dick Marinus <dick@mrns.nl> - V1.0_363_g8813ebc
- Update to V1.0_363_g8813ebc

* Wed Jul 11 2018 Dick Marinus <dick@mrns.nl> - V1.0_353_g4b10de9-1
- Update to V1.0_353

* Fri Jul 06 2018 Dick Marinus <dick@mrns.nl> - V1.0_351_gae7d895-2
- Install icon and html files

* Sun Jul 01 2018 Dick Marinus <dick@mrns.nl> - 1.0-1
- Initial version
